Summary:       A C and C++ client library for memcached
Name:          libmemcached
Version:       0.48
Release:       1%{?dist}%{?pext}
License:       BSD
Group:         System Environment/Libraries
Source0:       http://launchpad.net/%{name}/1.0/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:        %{name}-0.48-testsuite.patch
URL:           http://%{name}.org/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Brian Aker <brian@tangent.org>
BuildRequires: cyrus-sasl-devel libevent-devel
BuildRequires: memcached
BuildArch:     i486 x86_64

%description
Libmemcached is a C and C++ client library to memcached, a high-performance
distributed memory object caching system. It has been designed to be light
on memory usage, thread safe, and provide full access to server side methods.


%package       devel
Summary:       Development tools for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      pkgconfig

%description   devel
The %{name}-devel package contains the static libraries and header files
for developing software using %{name}.


%package       progs
Summary:       Related programs for %{name}
Group:         Applications/Internet
Requires:      %{name} = %{version}-%{release}

%description   progs
The %{name}-progs package contains several commandline tools for
%{name}.


%prep
%setup -q
%patch0 -p1

# Prepare samples
%{__mkdir_p} examples
%{__cp} -f example/*.{c,h}   examples
%{__cp} -f tests/*.{c,cpp,h} examples


%build
%configure \
	--enable-shared        \
	--enable-static        \
	--disable-rpath        \
	--disable-silent-rules \
	--with-memcached=%{_sbindir}/memcached

%{__make} %{?_smp_mflags}


%check
%{__make} check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

# Install samples
%{__cp} -prd examples ${RPM_BUILD_ROOT}%{_datadir}/%{name}

# Cleanup
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.?


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README* THANKS TODO
%{_libdir}/libhashkit.so.*
%{_libdir}/%{name}*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libhashkit
%{_includedir}/%{name}
%{_libdir}/libhashkit.*a
%{_libdir}/libhashkit.so
%{_libdir}/%{name}*.*a
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}
%{_mandir}/man3/*.3*

%files progs
%defattr(-,root,root)
%{_bindir}/mem*
%{_mandir}/man1/*.1*


%changelog
* Fri Apr 01 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.48-1
- New version (0.48)

* Thu Feb 24 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.45-1
- Dropped i386/x86 support to work around gcc issues with atomic builtins
- New version (0.45)

* Sat Sep 25 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.44-1
- New version (0.44)

* Fri Jul 30 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.43-1
- New version (0.43)

* Wed Jul 07 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.41-1
- New version (0.41)

* Fri May 07 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.40-1
- New version (0.40)

* Fri Apr 09 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.39-1
- New version (0.39)

* Wed Feb 03 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.37-1
- New version (0.37)

* Sat Nov 28 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.35-1
- Initial build
